Ulfius: yuarel Struct Reference

Ulfius HTTP Framework for REST Applications in C

Loading...
Searching...
No Matches
Data Fields
yuarel Struct Reference

`#include <yuarel.h>`

## Data Fields
char * | scheme
char * | username
char * | password
char * | host
int | port
char * | path
char * | query
char * | fragment

## Detailed Description

Copyright (C) 2016 Jack Engqvist Johansson

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. The struct where the parsed values will be stored:

scheme ":" [ "//" ] [ username ":" password "@" ] host [ ":" port ] [ "/" ] [ path ] [ "?" query ]

Note: to make sure that no strings are copied, the first slash "/" in the path will be used to null terminate the hostname if no port is supplied.

## Field Documentation

## ◆ fragment

char* yuarel::fragment

## ◆ host

char* yuarel::host

## ◆ password

char* yuarel::password

## ◆ path

char* yuarel::path

## ◆ port

int yuarel::port

## ◆ query

char* yuarel::query

## ◆ scheme

char* yuarel::scheme

## ◆ username

char* yuarel::username

The documentation for this struct was generated from the following file:

- include/yuarel.h